Summary:	Fortran to C conversion support library
Summary(pl.UTF-8):	Biblioteka wspierająca tłumaczenie z Fortranu na C
Name:		libf2c
Version:	20110801
Release:	2
License:	distributable
Group:		Libraries
Source0:	http://www.netlib.org/f2c/libf2c.zip
# Source0-md5:	dc6ae2b9b33347feb8bdcc3c3def8b9f
Patch0:		%{name}-LP64.patch
Patch1:		%{name}-opt.patch
Patch2:		%{name}-nomacros.patch
Patch3:		format-security.patch
URL:		http://www.netlib.org/f2c/
BuildRequires:	unzip
Conflicts:	f2c < 20031027-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library of support routines used by f2c Fortran to C converter.

%description -l pl.UTF-8
Biblioteka funkcji wspierających wykorzystywana przez konwerter
z Fortranu do C f2c.

%package devel
Summary:	Header file for f2c library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki f2c
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header file for f2c library.

%description devel -l pl.UTF-8
Plik nagłówkowy biblioteki f2c.

%package static
Summary:	Static f2c library
Summary(pl.UTF-8):	Statyczna biblioteka f2c
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static f2c library.

%description static -l pl.UTF-8
Statyczna biblioteka f2c.

%prep
%setup -q -c
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__make} -f makefile.u \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fPIC"

ar crs libf2cmain.a main.o getarg_.o iargc_.o
%{__rm} main.o getarg_.o iargc_.o
%{__cc} -shared -o libf2c.so.0.23 *.o -Wl,-soname=libf2c.so.0 -lm
%{__rm} libf2c.a *.o

%{__make} -f makefile.u \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir}}

install libf2c.so.0.23 $RPM_BUILD_ROOT%{_libdir}
ln -sf libf2c.so.0.23 $RPM_BUILD_ROOT%{_libdir}/libf2c.so.0
ln -sf libf2c.so.0.23 $RPM_BUILD_ROOT%{_libdir}/libf2c.so
install libf2c.a libf2cmain.a $RPM_BUILD_ROOT%{_libdir}
install f2c.h $RPM_BUILD_ROOT%{_includedir}
 
%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc Notice README
%attr(755,root,root) %{_libdir}/libf2c.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libf2c.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libf2c.so
%{_libdir}/libf2cmain.a
%{_includedir}/f2c.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libf2c.a
%changelog
* Sun Apr 05 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libf2c.git;a=log;h=master

* Sun Apr 05 2015 Jan Rękorajski <baggins@pld-linux.org> 3f87019
- fix format string errors
- rel 2

* Sun Jul 29 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 77688b5
- up to 20110801 and avoid defining common macros in f2c.h

* Thu Feb 02 2012 Jakub Bogusz <qboosh@pld-linux.org> 4c9de05
- better description
- ghost soname symlink
- Conflicts: f2c before libf2c removal
- release 2

* Wed Feb 01 2012 lisu <lisu@pld-linux.org> a4bf8b6
- reversed

* Wed Feb 01 2012 lisu <lisu@pld-linux.org> 34879d9
- O: f2c

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> d3e4b2e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 34436be
- converted to UTF-8

* Sun Jul 23 2006 Jakub Bogusz <qboosh@pld-linux.org> 1c2b31e
- don't put main() into shared library - use separate static libf2cmain.a for it

* Sun Jul 23 2006 Jakub Bogusz <qboosh@pld-linux.org> f76992e
- new, partially inspired by f2c.spec

* Sun Jul 23 2006 Jakub Bogusz <qboosh@pld-linux.org> 233983f
- don't override default rules containing CFLAGS

* Sun Jul 23 2006 Jakub Bogusz <qboosh@pld-linux.org> 210829f
- support for LP64 architectures

